> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Refund Status

> This endpoint is used to fetch the status of a refunded card payment (transaction).



## OpenAPI

````yaml /openapi.json post /card/card_charge/refund_status
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /card/card_charge/refund_status:
    post:
      tags:
        - Card Collection
      summary: Check Refund Status
      description: >-
        This endpoint is used to fetch the status of a refunded card payment
        (transaction).
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/checkRefundStatusRequest'
            examples:
              Check Transaction Status:
                summary: Check Transaction Status Request
                value:
                  service_payload:
                    refund_transaction_reference: RF20231112-Q232USD
      responses:
        '200':
          description: Check Transaction Status Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/checkRefundStatusResponse'
              examples:
                Check Transaction Status:
                  summary: Check Transaction Status Reponsse
                  value:
                    transactionReference: T3737157
                    refundReference: RF20231112-Q232USD
                    refundStatus: SUCCESS
                    statusReason: Refund processed successfully
                    refundDate: '2023-11-12T23:30:06.688465'
                    refundedAmount: 5.2
                    parentTransactionAmount: 5.2
                    message: Request Completed
                    statusOk: true
        '400':
          description: Invalid request
      security:
        - ApiKeyAuth: []
components:
  schemas:
    checkRefundStatusRequest:
      title: Check Refund Status Request
      type: object
      required:
        - service_payload
      properties:
        service_payload:
          type: object
          required:
            - refund_transaction_reference
          description: It contains the details of the service payload.
          properties:
            refund_transaction_reference:
              type: string
              description: >-
                the unique identifier given to a particular transaction you
                refunded. This can be found in the response body of the
                “Initiate Refund API”.
              example: RF20231112-Q232USD
    checkRefundStatusResponse:
      title: Check Refund Status Response
      type: object
      properties:
        statusOk:
          type: boolean
          description: Indicates if the request was successful.
          example: true
        message:
          type: string
          description: Response message.
          example: Request Completed
        transactionReference:
          type: string
          description: The reference of the original transaction being refunded.
          example: T3737157
        refundReference:
          type: string
          description: Unique reference for this refund request.
          example: RF20231112-Q232USD
        refundStatus:
          type: string
          description: Status of the refund (e.g., SUCCESS).
          example: SUCCESS
        statusReason:
          type: string
          description: Detailed reason for the status.
          example: Refund processed successfully
        refundDate:
          type: string
          format: date-time
          description: Timestamp when the refund was processed.
          example: '2023-11-12T23:30:06.688465'
        refundedAmount:
          type: number
          format: double
          description: The amount that was refunded.
          example: 5.2
        parentTransactionAmount:
          type: number
          format: double
          description: The total amount of the original transaction.
          example: 5.2
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````